Subject: [rtcweb] "A DTLS-SRTP handshake establishes one or more SRTP crypto contexts"

From: Iñaki Baz Castillo <[email-masked]>
Date: Mon, 11 Aug 2014 23:26:01 +0200

Hi, may somebody clarify what the following sentence in RFC 5764 (DTLS
"use_srtp" extension) Section 4.1 means?

"A DTLS-SRTP handshake establishes one or more SRTP crypto contexts"

AFAIU a DTLS-SRTP handshake generates keys for inbound and outbound
RTP or RTCP or RTP+RTCP media flows, this is, one or two. Is that what
the above sentence means?

Thanks a lot.

-- 
Iñaki Baz Castillo
<[email-masked]>

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 11 Aug 2014 14:36:47 -0700

See:

http://tools.ietf.org/html/rfc3711#section-3.2.3

For the definition of a crypto context.

-Ekr

On Mon, Aug 11, 2014 at 2:26 PM, Iñaki Baz Castillo <[email-masked]> wrote:

> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>

---

From: Iñaki Baz Castillo <[email-masked]>
Date: Mon, 11 Aug 2014 23:49:30 +0200

> For the definition of a crypto context.

Clear. Thanks a lot.

-- 
Iñaki Baz Castillo
<[email-masked]>